Download it now!
Bug 64920 - FILEOPEN .dif format unreadable
Summary: FILEOPEN .dif format unreadable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.1.0.0.beta2 target:4.2.0...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-05-23 14:38 UTC by Nick
Modified: 2013-05-29 12:13 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
The file that I'm having trouble opening. (66.76 KB, application/octet-stream)
2013-05-23 14:38 UTC, Nick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick 2013-05-23 14:38:09 UTC
Created attachment 79712 [details]
The file that I'm having trouble opening.

Problem description: File *.dif opened successfully but unreadable (Error #IND: ?). Windows 7 Pro 64bit and Windows XP Pro 32bit, LibreOffice 4.03.
File seems to have no issues opening with other software. 

Steps to reproduce:
1. .... Open File
2. ....
3. ....

Current behavior: displays #IND: ? in all rows/columns that should have valid information.

Expected behavior: Display correct information per column. 

              
Operating System: Windows 7
Version: 4.0.2.2 release
Comment 1 Urmas 2013-05-23 15:47:23 UTC
Confirming.
Comment 2 poky 2013-05-26 19:19:23 UTC
Confirming.
Tested with LibreOffice 4.03 on Widows XP SP3 32bit and Debian Sqeeze 32bit.
LibreOffice 3.6.6 has not this issue.
Comment 3 Commit Notification 2013-05-27 13:16:58 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=670ff6a6d2f39754fb9a39b6cd0757b4ffa39136&h=libreoffice-4-1

we need a reference to the DifParser.aData, fdo#64920


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-05-27 13:17:16 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d01bed2e663e19b2387d5427036afea0ff4fa4f

we need a reference to the DifParser.aData, fdo#64920



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Markus Mohrhard 2013-05-27 14:00:27 UTC
Pending review for 4-0.

Patch also removes some string length limitations.
Comment 6 Commit Notification 2013-05-27 14:40:20 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf88119dca0a7c1b1e5e1082c8deada4cdac37c2&h=libreoffice-4-0

we need a reference to the DifParser.aData, fdo#64920


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 poky 2013-05-29 12:13:44 UTC
Fixed.

Tested on Windows XP SP3.

Tested on Version: 4.1.0.0.beta1+
Build ID: c8879374b3b4b68e22f896ca32bb2203de58611


Thank you for taking the time to correct this bug.